# SET DEFAULT

## Syntax

```sql
SET DEFAULT [DATABASE | ORGANIZATION | ROLE | SCHEMA | STORE] object_name;
```

## Description

This sets the [database](/overview/core-concepts/databases.md), [organization](/overview/core-concepts/access-control.md#_organiation), [role](/overview/core-concepts/access-control.md#_role), [schema](/overview/core-concepts/databases.md#_schema), or [store](/overview/core-concepts/store.md) as the user’s default. Changing defaults does not affect the current session’s context, and you can use [USE](/reference/sql-syntax/command/use.md) to change the current context.

Entering a new user session has the same affect as changing it with [USE](/reference/sql-syntax/command/use.md).

Any object used to set as default must already exist and be accessible by the user.

### Arguments <a href="#parameters" id="parameters"></a>

#### object\_name

Name of the entity to set as a default. If the name is case-sensitive, you must wrap it in double quotes; otherwise, the system uses the lowercase name.

## Examples

#### Set a new default database

The following changes the user’s default database to `user_db`:

```sh
main_db.public/demostore# LIST DATABASES;
+---------+-------------+----------+-------------------------------+
|  Name   |  Is Default |  Owner   |  Created At                   |
+=========+=============+==========+===============================+
| user_db | false       | orgadmin | 2024-06-05 19:41:23 +0000 UTC |
+---------+-------------+----------+-------------------------------+
| main_db | true        | sysadmin | 2023-08-09 21:28:40 +0000 UTC |
+---------+-------------+----------+-------------------------------+
main_db.public/demostore# SET DEFAULT DATABASE user_db;
+---------+---------+----------+------------------------------------------+
|  Type   |  Name   |  Command |  Summary                                 |
+=========+=========+==========+==========================================+
| default | user_db | UPDATE   | Default database was successfully        |
|         |         |          | updated to user_db                       |
+---------+---------+----------+------------------------------------------+
```

#### Set a new default schema

The following changes the user’s default schema to `demodb.Analytics` within the current database, `demodb`:

```sh
demodb.public/demostore# LIST SCHEMAS;
+-----------+-------------+----------+-------------------------------+
|  Name     |  Is Default |  Owner   |  Created At                   |
+===========+=============+==========+===============================+
| public    | false       | sysadmin | 2023-08-09 21:28:40 +0000 UTC |
+-----------+-------------+----------+-------------------------------+
| Analytics | false       | orgadmin | 2023-08-18 16:36:16 +0000 UTC |
+-----------+-------------+----------+-------------------------------+
demodb.public/demostore# SET DEFAULT SCHEMA "Analytics";
+---------+-----------+----------+------------------------------------------+
|  Type   |  Name     |  Command |  Summary                                 |
+=========+===========+==========+==========================================+
| default | Analytics | UPDATE   | Default schema was successfully updated  |
|         |           |          | to main_db.Analytics                     |
+---------+-----------+----------+------------------------------------------+
```

#### Set a new default store

The following changes the user’s default store to `sf_east_2` for future sessions:

```sh
main_db.public/pubmsk# LIST STORES;
+------------+------------+----------------+--------+-------------+----------+-------------------------------+-------------------------------+
|  Name      |  Type      |  Access Region |  State |  Is Default |  Owner   |  Created At                   |  Updated At                   |
+============+============+================+========+=============+==========+===============================+===============================+
| sf_east_2  | Snowflake  | AWS us-east-1  | ready  | false       | sysadmin | 2024-06-12 22:39:03 +0000 UTC | 2024-06-12 22:39:03 +0000 UTC |
+------------+------------+----------------+--------+-------------+----------+-------------------------------+-------------------------------+
| pubmsk     | Kafka      | AWS us-east-1  | ready  | true        | sysadmin | 2023-08-09 21:27:32 +0000 UTC | 2024-05-24 20:53:58 +0000 UTC |
+------------+------------+----------------+--------+-------------+----------+-------------------------------+-------------------------------+
| dbx_east_1 | Databricks | AWS us-east-1  | ready  | false       | sysadmin | 2024-02-09 22:28:30 +0000 UTC | 2024-02-09 22:28:30 +0000 UTC |
+------------+------------+----------------+--------+-------------+----------+-------------------------------+-------------------------------+
| cc_store   | Confluent  | AWS us-east-1  | ready  | false       | sysadmin | 2024-05-22 21:02:38 +0000 UTC | 2024-05-22 23:09:50 +0000 UTC |
|            | Kafka      |                |        |             |          |                               |                               |
+------------+------------+----------------+--------+-------------+----------+-------------------------------+-------------------------------+
main_db.public/pubmsk# SET DEFAULT STORE sf_east_2;
+---------+-----------+----------+------------------------------------------+
|  Type   |  Name     |  Command |  Summary                                 |
+=========+===========+==========+==========================================+
| default | sf_east_2 | UPDATE   | Default store was successfully updated   |
|         |           |          | to sf_east_2                             |
+---------+-----------+----------+------------------------------------------+
```

#### Set a new default role

The following changes the user’s default role to `useradmin` for future sessions:

```sh
main_db.public/demostore# LIST ROLES;
+-----------+-------------+-------------+-------------------------------+-------------------------------+
|  Name     |  Is Current |  Is Default |  Created At                   |  Updated At                   |
+===========+=============+=============+===============================+===============================+
| orgadmin  | true        | false       | 2023-08-09 21:25:57 +0000 UTC | 2023-08-09 21:25:57 +0000 UTC |
+-----------+-------------+-------------+-------------------------------+-------------------------------+
| sysadmin  | false       | true        | 2023-08-09 21:25:57 +0000 UTC | 2023-08-09 21:25:57 +0000 UTC |
+-----------+-------------+-------------+-------------------------------+-------------------------------+
| public    | false       | false       | 2023-08-09 21:25:57 +0000 UTC | 2023-08-09 21:25:57 +0000 UTC |
+-----------+-------------+-------------+-------------------------------+-------------------------------+
| useradmin | false       | false       | 2023-08-09 21:25:57 +0000 UTC | 2023-08-09 21:25:57 +0000 UTC |
+-----------+-------------+-------------+-------------------------------+-------------------------------+
| securitya | false       | false       | 2023-08-09 21:25:57 +0000 UTC | 2023-08-09 21:25:57 +0000 UTC |
| dmin      |             |             |                               |                               |
+-----------+-------------+-------------+-------------------------------+-------------------------------+
| rol1      | false       | false       | 2024-07-18 01:04:09 +0000 UTC | 2024-07-18 01:04:09 +0000 UTC |
+-----------+-------------+-------------+-------------------------------+-------------------------------+
| rol2      | false       | false       | 2024-07-18 01:14:18 +0000 UTC | 2024-07-18 01:14:18 +0000 UTC |
+-----------+-------------+-------------+-------------------------------+-------------------------------+
main_db.public/demostore# SET DEFAULT ROLE useradmin;
+---------+-----------+----------+------------------------------------------+
|  Type   |  Name     |  Command |  Summary                                 |
+=========+===========+==========+==========================================+
| default | useradmin | UPDATE   | Default role was successfully updated    |
|         |           |          | to useradmin                             |
+---------+-----------+----------+------------------------------------------+
```

#### Set a new default organization

The following changes the user’s default organization to `mr_prod`, using its `ID` field, for future sessions:

```sh
demodb.public/demostore# LIST ORGANIZATIONS;
+--------------------------------------+----------+-------------+-------------+--------------+--------------------+-------------------------------+
|  ID                                  |  Name    |  Is Current |  Is Default |  Description |  Profile Image Uri |  Created At                   |
+======================================+==========+=============+=============+==============+====================+===============================+
| caab10ef-5c55-4e6b-906b-29a9dae9a94d | my_org   | true        | true        | <null>       | <null>             | 2024-07-02 21:16:22 +0000 UTC |
+--------------------------------------+----------+-------------+-------------+--------------+--------------------+-------------------------------+
| c8e61681-1461-4d76-b565-542b5e9e1fd3 | mr_prod  | false       | false       | <null>       | <null>             | 2023-09-19 16:17:03 +0000 UTC |
+--------------------------------------+----------+-------------+-------------+--------------+--------------------+-------------------------------+
main_db.public/demostore# SET DEFAULT ORGANIZATION c8e61681-1461-4d76-b565-542b5e9e1fd3;
+---------+---------+----------+------------------------------------------+
|  Type   |  Name   |  Command |  Summary                                 |
+=========+=========+==========+==========================================+
| default | mr_prod | UPDATE   | Default organization was successfully    |
|         |         |          | updated to mr_prod                       |
+---------+---------+----------+------------------------------------------+
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/command/set-default.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
